%define module_version 0.1
%define module_name Data-Context-BEM
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Context.pm) perl(Data/Context/Actions.pm) perl(Data/Context/Instance.pm) perl(Data/Context/Log.pm) perl(English.pm) perl(File/ShareDir.pm) perl(FindBin.pm) perl(JSON/XS.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Path/Tiny.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Template.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Perl/Critic.pm) perl(Test/Spelling.pm) perl(namespace/autoclean.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1
Release: alt1
Summary: A Perl implementation of BEM
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IV/IVANWILLS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
BEM is a framework/protocol for how to build HTML or XML pages. The specification
suggests how to assemble a page using Blocks, Elements and Modifiers.

The essence of this module is to provide a perl implementation that particularly
allows the easy packaging of Blocks so they can be distributed alone and used
by any site using this library. The aim is also that any site using this module
can overwrite any part of an external block.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/D*
%perl_vendor_privlib/auto/*
%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Fri Mar 04 2016 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1
- regenerated from template by package builder

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.0.3-alt1
- regenerated from template by package builder

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1
- regenerated from template by package builder

* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1
- initial import by package builder

